/*

Constrain.java 
  -- classes implementing some GUI constraints for grid bag layouts
     as part of the "ia_solver library" version 0.1beta1, 10/97

Copyright (C) 1997 Timothy J. Hickey

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.

 */


package ia_solver;

import java.awt.*;

public class Constrain {


 public static void constrain( Container container, Component component,
    int grid_x, int grid_y, int grid_width,  int grid_height,
    int fill,   int anchor, double weight_x, double weight_y,
    int top,    int left,   int bottom,      int right)
  { GridBagConstraints c = new GridBagConstraints();
    c.gridx = grid_x; c.gridy = grid_y; c.gridwidth=grid_width; c.gridheight= grid_height;
    c.fill = fill; c.anchor = anchor; c.weightx = weight_x; c.weighty = weight_y;
    if (top+left+bottom+right > 0)
      c.insets = new Insets(top,left,bottom,right);  
    ((GridBagLayout)container.getLayout()).setConstraints(component,c);
    container.add(component);

  }
 public static void constrain( Container container, Component component,
			 int grid_x, int grid_y, int grid_width,  int grid_height) {
    constrain(container,component,grid_x,grid_y,grid_width,grid_height,
              GridBagConstraints.NONE,GridBagConstraints.CENTER,0.0,0.0, 0,0,0,0);
 }




}
